Subject: bug#20490: closed (Re: [PATCH] fixup: reference to uninitialized variable with invalid sequence)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 May 2015 17:07:02 +0000

Your bug report

#20490: [PATCH] fixup: reference to uninitialized variable with invalid sequence

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20490: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20490
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] fixup: reference to uninitialized variable with invalid sequence
From: Jim Meyering <[email-masked]>
To: Norihiro Tanaka <[email-masked]>
Cc: [email-masked]
Date: Sun, 3 May 2015 10:06:00 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, May 2, 2015 at 7:09 PM, Jim Meyering <[email-masked]> wrote:
> On Wed, Nov 5, 2014 at 7:36 AM, Norihiro Tanaka <[email-masked]> wrote:
>> Uninitialized variable are referred with invalid sequence in
>> str_append_modified().
>>
>> When mbrtowc() returns (size_t) -1, wc is not changed, even if wc is
>> uninitialized.  below may return unexpected result in order that the
>> value is referred at a following position in source code.
>>
>>   $ echo a | LC_ALL=ja_JP.eucJP ./sed/sed -e 's/a/b\U\xb2c/'
>
> Thank you for the patch and reproducer.
> I've made some small improvements to the actual patch and
> wrote a valgrind-using test that I'm adding to the test suite.
> I've included your patch with an adjusted log, followed by
> the changes I made to it in a separate commit. That commit
> is separate solely to show what I've done; I will squash into your
> commit before I push, followed by the test-adding commit.

I've updated the commit log to reference this just-closed issue,
with this line:

  This addresses http://debbugs.gnu.org/20490

Then pushed.

Subject: Re: [PATCH] fixup: reference to uninitialized variable with invalid sequence
From: Jim Meyering <[email-masked]>
To: Norihiro Tanaka <[email-masked]>
Cc: [email-masked]
Date: Sat, 2 May 2015 19:09:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Nov 5, 2014 at 7:36 AM, Norihiro Tanaka <[email-masked]> wrote:
> Uninitialized variable are referred with invalid sequence in
> str_append_modified().
>
> When mbrtowc() returns (size_t) -1, wc is not changed, even if wc is
> uninitialized.  below may return unexpected result in order that the
> value is referred at a following position in source code.
>
>   $ echo a | LC_ALL=ja_JP.eucJP ./sed/sed -e 's/a/b\U\xb2c/'

Thank you for the patch and reproducer.
I've made some small improvements to the actual patch and
wrote a valgrind-using test that I'm adding to the test suite.
I've included your patch with an adjusted log, followed by
the changes I made to it in a separate commit. That commit
is separate solely to show what I've done; I will squash into your
commit before I push, followed by the test-adding commit.